%define name usbd
%define version 0.1
%define release 14mdk
%define url http://usb.in.tum.de/download/

Summary: Linux USB daemons autoloader.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{url}/%{name}-%{version}.tar.bz2
Url: %{url}
Copyright: GPL
Group: System/Configuration/Hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Patch: usbd-0.1-mdkconf.patch.bz2
Patch1: usbd-0.1-initscript.patch.bz2
Patch2: usbd-0.1-default-conf.patch.bz2
Patch3: usbd-0.1-usbmap.patch.bz2
Patch4: usbd-0.1-syslog-fix.patch.bz2

%description
This package contains a daemon responsible for
loading kernel or user space drivers on hot plug events.

It load the requested modules according of what it detect in
/proc/bus/usb/devices.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1 -b .defconf
%patch3 -p1 -b .usbmap
%patch4 -p1 -b .syslog

%build
%serverbuild
%define _sysconfdir /etc/usb
%define _libexecdir /usr/lib/%{name}
%define _localstatedir /var
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -D -m755 %{name}.initscript %buildroot/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service  %{name}

%files
%defattr(-,root,root)
%doc AUTHORS README
%config(noreplace) /etc/usb/*
%config(noreplace) /etc/rc.d/init.d/%{name}
/usr/sbin/*

%changelog
* Thu Apr 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.1-14mdk
- put back mod_quickam in default.conf

* Wed Apr 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.1-13mdk
- change the priority of wacom driver to avoid loading hid

* Fri Apr  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.1-12mdk
- corrected usbmap read
- don't start on install

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1-11mdk
- Launch usbd when installing.

* Wed Apr  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1-10mdk
- Really apply the syslog fix and fix segfault when doing log.

* Wed Apr  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1-9mdk
- fix syslog logging.

* Tue Apr  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.1-8mdk
- read modules.usbmap

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1-7mdk
- Support of Logiteck Quickcam and Fuji FinePix 2200 Camera.

* Mon Apr  2 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.1-6mdk
- used server macros
- added ov511 module loading for Creative webcams.

* Mon Mar 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1-5mdk
- Start right after the usb script.

* Sat Feb 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1-4mdk
- exit 0 if /proc/bus/usb is not mounted.

* Thu Jan 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1-3mdk
- Add detection of wacom tablets and visor devices.

* Wed Dec 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1-2mdk
- Upgrade default.conf.

* Wed Dec 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1-1mdk
- First Mandrake Version.
